{% extends "base.html" %}
{% load static %}
{% block titulo %}
Cuentas Corriente
{% endblock titulo %}
{% block content1 %} 
<script type="text/javascript">
  $("#navCuentas_main").attr('class','active');
  $("#navListaCtes_main").attr('class','active');
</script>
<div class="row">
  <div class="col-md-12" >
    <div class="panel panel-default" >
      <div class="panel-heading panel-toolbar"> 
        <strong>LISTADO DE CUENTAS CORRIENTETE</strong>
        <button type="button" class="btn btn-default btn-sm" id="btnRefrescar">Actualizar</button>
      </div>
      <div class="panel-body">
        <div class="row" id="Result">
          {% ifnotequal resultado '' %}
          {% ifequal resultado 'exito' %}
          <div class="alert alert-success" role="alert" align="center">
            <h4>OPERACION EXITOSA!!</h4>
          </div>
          {% else %}
          <div class="alert alert-danger" role="alert" align="center">
            <h4>FALLO OPERACION: {{resultado}}</h4>
          </div>
          {% endifequal %}
          {% endifnotequal %}
        </div>
        <div class="row">
         
          <div class="col-md-1" align="right">
            <label>Cliente:</label>
          </div>
          <div class="col-md-4">
            <input type="text" class="form-control" id="txt_filtro" name="nombretitular" placeholder="DNI / RUC" autocomplete="off">
          </div>
          <div class="col-md-2">
            <button type="button" class="btn btn-primary btn-sm" id="btnFiltrar">Buscar</button>
          </div>
        </div>
        <p></p>
        <div class="row">
          <div class="col-md-12">
              <div class="table-responsive">
                <table class="table table-hover">
                    <thead>
                      <tr>
                        <th>DNI/RUC</th>
                        <th>Cliente</th>
                        <th>Fecha Apertura</th>
                        <th>Oficia de Apertura</th>
                        <th>Saldo</th>
                        <th>Moneda</th>
                        <th>Estado</th>
                      </tr>
                    </thead>
                    <tbody id="listaC">
                        
                    </tbody>
                </table>
              </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>

<!-- modificar cuentas -->
<div id="myModal" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-lg">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
        <label class="modal-title" id="myModalLabel">Detalles</label>
      </div>
      <div class="modal-body">
        <div class="row">
          <div class="col-md-6" >
              <div class="panel panel-default">
                <div class="panel-heading"> <strong>Detalle de Cliente</strong></div>
                  <div class="panel-body">
                    <div class="row">
                      <div class="col-md-2">
                        <label id="dniRUC"> DNI/RUC </label>
                      </div>
                      <div class="col-md-6">
                         <input type="text" class="form-control" id="txtDNIcli" disabled="disabled" name="DniCli" readonly>
                      </div>

                    </div>
                    <br>
                    <div class="row">
                       <div class="col-md-12">
                          <label class="radio-inline">
                            <input type="radio"id="rbNatural" name="TipoPersona1" value="natural" disabled> Persona Natural
                          </label>
                          <label class="radio-inline">
                            <input type="radio"id="rbJuridica" name="TipoPersona1" value="natural" disabled> Persona Juridica
                          </label>
                          <p></p>
                      </div>
                    </div>
                    <p></p>
                    <div class="row">
                        <div class="col-md-3"> 
                          <label id="nombreRazon">Nombres</label> 
                        </div>
                        <div class="col-md-9">
                          <input type="text" class="form-control" id="txtNombre" name="NombreCli" readonly>  
                        </div> 
                    </div>
                    <p></p>
                    <div class="row" id="campoAp2">
                      <div class="col-md-5" > 
                        <label>Apellido Paterno</label> 
                      </div>
                      <div class="col-md-7">
                        <input type="text" class="form-control" id="txtAPcli" name="PaternoCli" readonly>  
                      </div> 
                        
                    </div>
                    <p></p>
                    <div class="row">
                      <div class="col-md-5" > 
                          <label>Apellido Materno</label> 
                        </div>
                        <div class="col-md-7">
                          <input type="text" class="form-control" id="txtAMcli" name="MaternoCli" readonly>  
                        </div> 
                    </div>
                  </div>
              </div>
          </div>
          <div class="col-md-6">
            <div class="row">
              <div class="panel panel-success">
                <div class="panel-heading"> <strong>Detalle de Cuenta</strong></div>
                <div class="panel-body">
                  <div class="row">
                      <div class="col-md-2"> 
                        <label id="">ID</label> 
                      </div>
                      <div class="col-md-5">
                        <input type="text" class="form-control" id="txtpk"readonly>  
                      </div> 
                  </div>
                  <p></p>
                  <div class="row">
                      <div class="col-md-5"> 
                        <label id="">Fecha Apertura</label> 
                      </div>
                      <div class="col-md-6">
                        <input type="text" class="form-control" id="txtfecha" readonly>  
                      </div> 
                  </div>
                  <p></p>
                  <div class="row">
                      <div class="col-md-10">
                        <div class="col-sm-3">
                          <label class="control-label ">Moneda</label>
                        </div>
                        <div class="col-sm-6" style="padding-right: 0px;padding-left: 0px;">
                           <select class="form-control" id="Cmoneda" disabled>
                              <option value="soles">Soles</option>
                              <option value="dolares">Dolares</option>
                            </select>
                        </div>
                      </div>
                    </div>
                    <p></p>
                  <div class="row">
                    <div class="col-md-3" > 
                        <label>Saldo</label> 
                      </div>
                      <div class="col-md-9">
                        <div class="input-group">
                          <input type="text" class="form-control" id="txtsaldo" aria-describedby="sp_s" readonly>
                          <span class="input-group-addon sp-moneda" id="sp_s">S/</span>
                        </div>  
                      </div> 
                  </div>
                  <p></p>
                  <div class="row" id="div-reti-depo">
                    <div class="col-md-5 col-md-offset-1">
                      <input class="btn btn-warning btn-block btn-sm" type="button" id="btnSolretirar" value="Retirar">
                    </div>

                    <div class="col-md-5">
                      <input class="btn btn-success btn-block btn-sm" type="button" id="btnSoldepositar" value="Depositar">
                    </div>
                  </div>
                  {% ifequal OfCentral 'si' %}
                  {% ifnotequal alterna 'si'%} 
                  <p></p>
                  <div class="row" id="div-recarga">
                    <div class="col-md-5 col-md-offset-1">
                      <input class="btn btn-success btn-block btn-sm" type="button" id="btnRecarga" value="Recarga Agente">
                    </div>
                    <div class="col-md-5">
                      <button class="btn btn-default btn-block btn-xs" id="btnHabilitar">Habilirar Retiro / Deposito</button>
                    </div>
                  </div>
                  {% endifnotequal %}
                  {% endifequal %}
                </div>
              </div>
            </div>
            <!--
            <div class="row">
              <div class="panel panel-default">
                <div class="panel-heading"> <strong>Configurar cta</strong></div>
                <div class="panel-body">
                  <div class="row">
                    <div class="col-md-5 col-md-offset-1">
                      <input class="btn btn-primary btn-block btn-xs" type="button" id="btnBloquearRetiro" value="Bloquear Retiros">
                    </div>

                    <div class="col-md-5">
                      <input class="btn btn-danger btn-block btn-xs" type="button" id="btnCerrarCta" value="Cerrar Cuenta">
                    </div>
                  </div>
                  <p></p>
                  <div class="row">
                    <div class="col-md-5 col-md-offset-1">
                      <input class="btn btn-success btn-block btn-xs" type="button" id="btnHabilitarRetiro" value="Habilitar Retiros">
                    </div>

                    <div class="col-md-5">
                      <input class="btn btn-success btn-block btn-xs" type="button" id="btnHabilitarCta" value="Habilitar Cuenta">
                    </div>
                  </div>
                </div>
              </div>
            </div>
            -->
          </div>
        </div>
        <div class="row">
          <div class="col-md-2">
            <input class="btn btn-primary btn-block btn-sm" type="button" id="movimientos" value="Movimientos">
          </div>
        </div>
        <p></p>
        <div class="row lista-sobregiros">
            <div class="panel panel-warning">
              <div class="panel-heading"> <strong>Solicitudes Sobregiro</strong></div>
            </div>
        </div>
        <div class="row lista-sobregiros">
          <div class="col-md-12">
              <div class="table-responsive">
                <table class="table table-hover">
                    <thead>
                      <tr>
                        <th>Fecha Solicitud</th>
                        <th>Solicitador</th>
                        <th>Autorizador</th>
                        <th>Fecha Autorizado</th>
                        <th>Obs.</th>
                        <th>Monto Retiro</th>
                        <th>Monto Sobregiro</th>
                        <th>Estado</th>
                      </tr>
                    </thead>
                    <tbody id="listaSobregiros">
                        
                    </tbody>
                </table>
              </div>
            </div>
        </div>
      </div>
    </div><!-- /.modal-content -->
  </div><!-- /.modal-dialog -->
</div>
<div id="modal_realizar_movimeinto" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
      </div>
      <div class="modal-body">
        <form action="#" method="POST" data-toggle="validator" role="form" id="formulario"> {% csrf_token %}
          <div class="row">
            <div class="col-md-10 col-md-offset-1">
              <div class="panel panel-default">
                  <div class="panel-heading"> <strong>Detalle de Cuenta</strong></div>
                    <div class="panel-body">
                      <div class="row">
                          <div class="col-md-2"> 
                            <label id="">ID</label> 
                          </div>
                          <div class="col-md-5">
                            <input type="text" class="form-control" id="txtpk_form" name="pk" readonly>  
                          </div> 
                      </div>
                      <p></p>
                      <!--
                      <div class="row">
                        <div class="col-md-5" align="right">
                          <label class="control-label ">Fecha de Operacion:</label>
                        </div>
                        <div class="col-md-5">
                          <div class="form-group">
                            <input type="text" class="form-control" id="txtfecha_form" name="fecha" required>
                            <div class="form-control-feedback" style="text-align:left;" ></div>
                            <div class="help-block with-errors"></div>
                          </div>
                          <p></p>
                        </div>
                      </div>
                      <p></p>
                      -->
                      <div class="row">
                        <div class="col-md-3" > 
                            <label>Saldo</label> 
                          </div>
                          <div class="col-md-9">
                            <div class="input-group">
                              <input type="text" class="form-control" id="txtsaldo_form" name="saldo" aria-describedby="sp_s" readonly>
                              <span class="input-group-addon sp-moneda" id="sp_s">S/</span>
                            </div>
                          </div>
                      </div>
                      <p></p>
                      <div class="row">
                          <div class="col-md-5"  align="right"> 
                            <label>Monto <span id="text_movi"></span>:</label> 
                          </div>
                          <div class="col-md-7">
                            <div class="form-group">
                              <div class="input-group">
                                <input type="text" class="form-control" id="txtmonto_movi_form" name="monto_movi" placeholder="0.00" aria-describedby="sp_p" autocomplete="off" required> 
                                <span class="input-group-addon sp-moneda" id="sp_p">S/</span>
                              </div>
                              <div class="form-control-feedback" style="text-align:left;" ></div>
                              <div class="help-block with-errors"></div>
                            </div>  
                          </div> 
                      </div>
                      <p></p>
                      <div class="row">
                        <div class="col-md-3"  align="right">
                          <label>Observación: </label>
                        </div>
                        <div class="col-md-9">
                          <div class="form-group">
                            <textarea type="text" class="form-control" id="observacion" rows="2"  name="obs" autocomplete="off"></textarea>
                            <div class="form-control-feedback" style="text-align:left;" ></div>
                            <div class="help-block with-errors"></div>
                          </div>
                          <p></p>
                        </div>
                      </div>

                      <div class="row alert alert-warning" id="fila-sobregiro">
                        <div class="row">
                          <div class="col-md-5" align="right">
                            <label>Monto de Sobregiro</label>
                          </div>
                          <div class="col-md-5">
                            <div class="form-group">
                              <div class="input-group">
                                <input type="text" class="form-control" id="txtmonto_sobregiro_form"  placeholder="0.00" aria-describedby="sp_ps" readonly> 
                                <span class="input-group-addon sp-moneda" id="sp_ps">S/</span>
                              </div>
                            </div>  
                          </div>
                        </div>
                        <div class="row">
                          <div class="col-md-5 col-md-offset-5">
                            <div class="checkbox">
                              <label>
                                <input id="chb_noplazo" type="checkbox" value="noplazo"><b>Plazo no definido</b>
                              </label>
                            </div>
                          </div>
                          
                        </div>
                        <div class="row">
                          <div class="col-md-5" align="right">
                            <label>Plazo de Pago</label>
                          </div>
                          <div class="col-md-5">
                            <div class="form-group">
                              <div class="input-group">
                                <input type="text" class="form-control" id="txtplazo_sobregiro_form"  placeholder="0" aria-describedby="sp_dias" autocomplete="off"> 
                                <span class="input-group-addon" id="sp_dias">dia(s)</span>
                              </div>
                            </div>  
                          </div>
                        </div>
                        <div class="row">
                          <div class="col-md-5" align="right">
                            <label>Fecha de Pago</label>
                          </div>
                          <div class="col-md-5">
                            <input type='text' class="form-control" id='txtfecha-pago_sobregiro' />
                          </div>
                        </div>
                        <div class="row">
                          <div class="col-md-5" align="right">
                            <label>Interes por Dia</label>
                          </div>
                          <div class="col-md-5">
                            <div class="form-group">
                              <div class="input-group">
                                <input type="text" class="form-control" id="txtmonto_interes_dia_form" placeholder="0.00" aria-describedby="sp_pid" autocomplete="off"> 
                                <span class="input-group-addon sp-moneda" id="sp_pid">S/</span>
                              </div>
                            </div>  
                          </div>
                        </div>
                        <div class="row">
                          <div class="col-md-5" align="right">
                            <label>Interes Total</label>
                          </div>
                          <div class="col-md-5">
                            <div class="form-group">
                              <div class="input-group">
                                <input type="text" class="form-control" id="txtmonto_interes_total_form" name="interes" placeholder="0.00" aria-describedby="sp_pit" autocomplete="off"> 
                                <span class="input-group-addon sp-moneda" id="sp_pit">S/</span>
                              </div>
                            </div>  
                          </div>
                        </div>
                        <div class="row">
                          <div class="col-md-5"  align="right">
                            <label>Observación: </label>
                          </div>
                          <div class="col-md-5">
                            <textarea type="text" class="form-control" id="txtobs_sobregiro" rows="2" autocomplete="off"></textarea>
                          </div>
                        </div>
                        <p></p>
                        <div class="row">
                          <div class="col-md-4 col-md-offset-4">
                            <button id="btn-solicitar-sobregiro" class="btn btn-sm btn-block btn-danger">Solicitar Sobregiro</button>
                          </div>
                        </div>


                      </div>

                      <div class="row">
                        <div class="col-md-4 col-md-offset-4">
                          <input class="btn btn-primary btn-block btn-sm" type="button" id="btnprocesar" value="">
                        </div>
                      </div>
                    </div>
              </div>
            </div>
          </div>
        </form> 
      </div>
    </div><!-- /.modal-content -->
  </div><!-- /.modal-dialog -->
</div>
<!-- retirar sobregiro -->
<div id="modal_retirar_sobregiro" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
        <h4 class="modal-title" id="myModalLabel">Detalles</h4>
      </div>
      <div class="modal-body">
        <form action="/retirar_con_sobregiro_cta_cte_main/" method="POST" data-toggle="validator" role="form" id="formulario_sobregiro"> {% csrf_token %}
          <div class="row">
            <div class="col-md-10 col-md-offset-1">
              <div class="panel panel-default">
                  <div class="panel-heading"> <strong>Detalle de Retiro</strong></div>
                    <div class="panel-body">
                      <div class="row">
                          <div class="col-md-1"> 
                            <label id="">ID</label> 
                          </div>
                          <div class="col-md-4">
                            <input type="text" class="form-control" id="txtpk_cta_sobregiro_form" name="pk_cta" readonly>  
                          </div>
                          <div class="col-md-2"> 
                            <label id="">Solicitud</label> 
                          </div>
                          <div class="col-md-4">
                            <input type="text" class="form-control" id="txtpk_sobregiro_sobregiro_form" name="pk_sobregiro" readonly>  
                          </div> 
                      </div>
                      <p></p>
                      <div class="row">
                        <div class="col-md-3" > 
                            <label>Saldo</label> 
                          </div>
                          <div class="col-md-9">
                            <div class="input-group">
                              <input type="text" class="form-control" id="txtsaldo_sobregiro_form" name="saldo" aria-describedby="sp_s" readonly>
                              <span class="input-group-addon sp-moneda" id="sp_s">S/</span>
                            </div>
                          </div>
                      </div>
                      <p></p>
                      <div class="row">
                          <div class="col-md-5"  align="right"> 
                            <label>Monto Retiro:</label> 
                          </div>
                          <div class="col-md-7">
                            <div class="input-group">
                              <input type="text" class="form-control" id="txtmonto_movi_sobregiro_form" name="retiro" placeholder="0.00" aria-describedby="sp_p" autocomplete="off"readonly> 
                              <span class="input-group-addon sp-moneda" id="sp_p">S/</span>
                            </div>
                          </div> 
                      </div>
                      <p></p>
                      <div class="row">
                        <div class="col-md-5" align="right">
                          <label>Monto de Sobregiro</label>
                        </div>
                        <div class="col-md-5">
                          <div class="form-group">
                            <div class="input-group">
                              <input type="text" class="form-control" id="txtmonto_sobregiro_sobregiro_form" name="sobregiro"  placeholder="0.00" aria-describedby="sp_ps" readonly> 
                              <span class="input-group-addon sp-moneda" id="sp_ps">S/</span>
                            </div>
                          </div>  
                        </div>
                      </div>
                      <p></p>
                      <div class="row">
                        <div class="col-md-5" align="right">
                          <label>Plazo Indifinido</label>
                        </div>
                        <div class="col-md-5">
                          <div class="form-group">
                            <div class="input-group">
                              <input type="text" class="form-control" id="txtindefinido_sobregiro_form" name="indefinido"  placeholder="0"autocomplete="off" readonly> 
                            </div>
                          </div>  
                        </div>
                      </div>
                      <p></p>
                      <div class="row">
                        <div class="col-md-5" align="right">
                          <label>Plazo de Pago</label>
                        </div>
                        <div class="col-md-5">
                          <div class="form-group">
                            <div class="input-group">
                              <input type="text" class="form-control" id="txtplazo_sobregiro_sobregiro_form" name="plazo" placeholder="0" aria-describedby="sp_dias" autocomplete="off" readonly> 
                              <span class="input-group-addon" id="sp_dias">dia(s)</span>
                            </div>
                          </div>  
                        </div>
                      </div>
                      <p></p>
                      <div class="row">
                        <div class="col-md-5" align="right">
                          <label>Fecha de Pago</label>
                        </div>
                        <div class="col-md-5">
                          <input type='text' class="form-control" id='txtfecha-pago_sobregiro_sobregiro_form' name="fecha_pago" readonly/>
                        </div>
                      </div>
                      <p></p>
                      <div class="row">
                        <div class="col-md-5" align="right">
                          <label>Interes por Dia</label>
                        </div>
                        <div class="col-md-5">
                          <div class="form-group">
                            <div class="input-group">
                              <input type="text" class="form-control" id="txtmonto_interes_dia_sobregiro_form" name="interes_dia" placeholder="0.00" aria-describedby="sp_pid" autocomplete="off"readonly> 
                              <span class="input-group-addon sp-moneda" id="sp_pid">S/</span>
                            </div>
                          </div>  
                        </div>
                      </div>
                      <p></p>
                      <div class="row">
                        <div class="col-md-5" align="right">
                          <label>Interes Total</label>
                        </div>
                        <div class="col-md-5">
                          <div class="form-group">
                            <div class="input-group">
                              <input type="text" class="form-control" id="txtmonto_interes_total_sobregiro_form" name="interes_total" placeholder="0.00" aria-describedby="sp_pit" autocomplete="off"readonly> 
                              <span class="input-group-addon sp-moneda" id="sp_pit">S/</span>
                            </div>
                          </div>  
                        </div>
                      </div>
                      <p></p>
                      <div class="row">
                        <div class="col-md-5"  align="right">
                          <label>Observación: </label>
                        </div>
                        <div class="col-md-5">
                          <textarea type="text" class="form-control" id="txtobs_sobregiro_form" name="obs" rows="2" autocomplete="off"readonly></textarea>
                        </div>
                      </div>
                      <p></p>
                      <div class="row">
                        <div class="col-md-4 col-md-offset-4">
                          <input class="btn btn-success btn-block btn-sm" type="button" id="btnprocesar_sobregiro" value=" Retirar">
                        </div>
                      </div>
                    </div>
              </div>
            </div>
          </div>
        </form> 
      </div>

    </div><!-- /.modal-content -->
  </div><!-- /.modal-dialog -->
</div>
<!-- /retirar sobregiro -->
<!--  movimiento de cuentas ctes -->
<div id="modal_movimientos" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-lg">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
        <label class="modal-title" id="myModalLabel">Movimientos</label>
      </div>
      <div class="modal-body">
        <div class="row">
            <div class="col-md-2">
              <h5>Filtrar</h5>
            </div>
            <div class="col-md-3">
              <div class="select">
                <select class="form-control" id="comboFiltroF">
                  <option value="h">Hoy</option>
                  <option value="f">Fecha</option>
                  <option value="ef">Entre Fechas</option>
                </select>
              </div>
              <p></p>
            </div>
            <div class="col-md-2">
              <input type='text' class=" form-control" id="txtfecha1">
              <p></p>
            </div>
            <div class="col-md-2">
              <input type='text' class="form-control" id="txtfecha2">
            </div>
            <div class="col-md-2">
              <button type="button" class=" btn btn-block btn-primary" id="buscarF"><i class="fa fa-search"></i> Buscar</button>
              <p></p>
            </div>
          </div>
        <div class="row">
          <div class="col-md-12">
              <div class="table-responsive">
                <table class="table table-hover" id="tablaMo">
                    <thead>
                      <tr>
                        <th>#</th>
                        <th>Fecha Operacion</th>
                        <th>Monto Deposito</th>
                        <th>Monto Retiro</th>
                        <th>Saldo</th>
                        <th>Moneda</th>
                        <th>T/D</th>
                        <th>N/R</th>
                        <th>Concepto Detalle</th>
                        <th>Observaciones</th>
                        <th>Oficina</th>
                        <th>Caja</th>
                        <th>Operador</th>
                        <th></th>
                      </tr>
                    </thead>
                    <tbody id="listaM">
                        
                    </tbody>
                </table>
              </div>
          </div>
        </div>
        <p></p>
        <div class="row">
          <div class="col-md-3">
            <input class="btn btn-inverse btn-block" type="button" id="imprimir_movimientos" value="Imprimir Movimientos">
          </div>

        </div>
      </div>
    </div><!-- /.modal-content -->
  </div><!-- /.modal-dialog -->
</div>
<div id="modalrecibo" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
        <h4 class="modal-title" id="myModalLabel">Detalles</h4>
      </div>
      <div class="modal-body">
        <div  id="platillaI" style="font-family:'Lucida Console', Monaco, monospace;font-size:11px;">
            <table>
              <tr align="center">
                <td><label id="operacion">{{ operacion }}</label></td>
              </tr>
              <tr><td  align="center" nowrap>========================</td> </tr>
            </table>
            <label>Oficina: <span id="oficinaRecibo">{{ SITE_URL }}</span></label>
            <table>
              <tr>
                <td id="caja">{{ caja }}</td>
                <td><div style="width:50px;"> </div></td>
                <td ><span id="tdRE"></span> N°<span id="nroRe"></span></td>
              </tr>
            </table>
            <table>
              <tr>
                <td>FECHA: </td>
                <td><div style="width:10px;"> </div></td>
                <td id="fechaRecibo" nowrap></td>
                <td>&nbsp;</td>
                <td id="horaRecibo" nowrap></td>
              </tr>
            </table>
            <table>
              <tr>
                <td><b>Cliente: </b></td>
                <td id="recibi"></td>
              </tr>
              <tr>
                <td><b>DNI: </b></td>
                <td id="dni"></td>
              </tr>
            </table>

            <table>
              <tr>
                <td>Concepto:</td>
                <td>
                  <div style="width:10px;"> </div>
                </td>
                <td id="concepto"></td>
              </tr>
              <tr>
                <td>Importe:</td>
                <td>
                  <div style="width:10px;"> </div>
                </td>
                <td id="importe"></td>
              </tr>
              <tr>
                <td>Saldo:</td>
                <td>
                  <div style="width:10px;"> </div>
                </td>
                <td id="saldo">{{ saldo_cta }}</td>
              </tr>
            </table>
            <br>
            <br>
            <table>
              <tr>
                <td>____________________</td>
              </tr>
              <tr>
                <td id ="recibi1"></td>
              </tr>
              <tr>
                <td><div style="height:25px;"> </div></td>
              </tr>
              <tr>
                <td>____________________</td>
              </tr>
              <tr>
                <td id="operador" nowrap>OP. {{ nombre_usuario }}</td>
              </tr>
            </table>
        </div>
      </div>
      <div class="modal-footer">
        <hr>
        <button type="button" class="btn btn-primary" data-dismiss="modal">Cerrar</button>
      </div>

    </div><!-- /.modal-content -->
  </div><!-- /.modal-dialog -->
</div><!-- /.modal -->
<script type="text/javascript">
  var Aux="";
  var AuxM=[];
  var AuxSo=[];
  var filaInM=0;
  var filaI =0;
  var  filtro={};
  var movimiento="";
  var noplazo ='no';
  $(document).ready(function () {
    
    $('#txtfecha_form').datetimepicker({
        locale: 'es',
        format: 'YYYY-MM-DD'
    });
    $('#txtfecha1').datetimepicker({
      locale: 'es',
      format: 'YYYY-MM-DD'
    });
    $('#txtfecha2').datetimepicker({
      locale: 'es',
      format: 'YYYY-MM-DD'
    });
    //
    $("#txtfecha1").hide();
    $("#txtfecha2").hide();
    //
    $("#comboFiltroF").change(function(){
      if($("#comboFiltroF").val()=="ef"){
        $("#txtfecha1").show();
        $("#txtfecha1").prop("value","");
        $("#txtfecha2").show();
        $("#txtfecha2").prop("value","");
      }
      if($("#comboFiltroF").val()=="f"){
        $("#txtfecha1").prop("value","");
        $("#txtfecha1").show();
        $("#txtfecha2").hide();
      }
      if($("#comboFiltroF").val()=="h"){
        $("#txtfecha1").prop("value","");
        $("#txtfecha1").hide();
        $("#txtfecha2").prop("value","");
        $("#txtfecha2").hide();
      }
    });
    $("#buscarF").click(function(){
      ajax_ctas_movimientos();
    })
    $('#txtDniC').numeric();
    $('#txtmonto_movi_form').numeric('.');
    {% ifnotequal resultado '' %}
      {% ifequal resultado 'exito' %}
            var mr;
            var fechaRecibo= '{{fechaRecibo}}'
            var horaRecibo='{{horaRecibo}}'
            var nombreRecibo='{{nombreRecibo}}'
            var montoRecibo='{{montoRecibo}}'
            var monedaRecibo='{{monedaRecibo}}'
            var conceptoDetalleRecibo='{{conceptoDetalleRecibo}}'
            var usuario='{{user.username}}'
            //var dniRecibo='{{dniRecibo}}'
            var oficinaRecibo='{{oficinaRecibo}}'
            $("#nroRe").text('{{nroRecibo}}');
            $("#tdRE").text('{{td}}');
            $("#dni").text('{{dniRecibo}}');
            
            $("#recibi").text(nombreRecibo);
            if(monedaRecibo=="soles")
            {
              mr="S/. "
            }
            else
            {
              mr="$/. "
            }
            $("#oficinaRecibo").text(oficinaRecibo);
            $("#horaRecibo").text(horaRecibo);
            $("#fechaRecibo").text(fechaRecibo);
            $("#importe").text(mr+montoRecibo);
            $("#concepto").text(conceptoDetalleRecibo);
            $("#recibi1").text("Sr(a): "+nombreRecibo.substring(0,15));
            $("#recibi12").text("Sr(a): "+nombreRecibo.substring(0,15));
            $("#platillaI").printThis();
    {% endifequal %}
    {% endifnotequal %}

    $('input').on('keypress', function(e){
      if(e.keyCode == 13)
      {
        var inputs = $(this).parents("form").eq(0).find(":input.form-control");
        var idx = inputs.index($(this));
        if (idx == inputs.length - 1) {
          inputs[0].select()
        } 
        else {
          inputs[idx + 1].focus(); //  handles submit buttons
          inputs[idx + 1].select();
        }
        return false;
      }
    });

    ajax_ctas();
    $(document).on("click",".filaC",function(){
      var num = $(this).attr('id');
      filaI = num;
      var fila= $(this).attr('class');
      //$("."+fila).attr('class','filaC');
      //$("#"+num).attr('class','filaC ');
       $("#formulario").prop('action','#');
      $("#btnprocesar").prop('value',"");
      $("#text_movi").text("");
      $("#txtpk").attr('value',null)
      $("#txtpk_form").attr('value',null)
      $("#txtpk_cta_sobregiro_form").attr('value',null)
      $("#txtDNIcli").attr('value',null)
      $("#txtNombre").prop('value',null);
      $("#txtAPcli").prop('value',null);
      $("#txtAMcli").prop('value',null);
      $("#txtfecha").prop('value',null);
      $("#txtsaldo").prop('value',null);
      $("#txtsaldo_sobregiro_form").prop('value',null);
      $("#txtsaldo_form").prop('value',null);
      //-----------
      if(Aux[filaI].agente==='si'){
        $("#div-recarga").show();
        $("#div-reti-depo").hide();
      }
      else{
        $("#div-recarga").hide();
        $("#div-reti-depo").show();
      }
      //-------------------------
      if(Aux[filaI].tp == 'Natural'){
        $("#dniRUC").text("DNI");
        $("#nombreRazon").text("Nombres");
        $("#rbNatural").prop("checked", true);
        $("#txtDNIcli").attr('value',Aux[filaI].dni);
        $("#campoAp1").show();
        $("#campoAp2").show();
      }
      else{
        $("#dniRUC").text("RUC");
        $("#nombreRazon").text("Razon Social");
        $("#rbJuridica").prop("checked", true);
        $("#txtDNIcli").attr('value',Aux[filaI].dni);
        $("#campoAp1").hide();
        $("#campoAp2").hide();
      }
      $("#txtpk").attr('value',Aux[filaI].pk)
      $("#txtpk_form").attr('value',Aux[filaI].pk)
      $("#txtpk_cta_sobregiro_form").attr('value',Aux[filaI].pk)
      $("#txtDNIcli").attr('value',Aux[filaI].dni)
      $("#txtNombre").prop('value',Aux[filaI].nom);
      $("#txtAPcli").prop('value',Aux[filaI].ap);
      $("#txtAMcli").prop('value',Aux[filaI].am);
      $("#txtfecha").prop('value',Aux[filaI].fa);
      $("#txtsaldo").prop('value',Aux[filaI].saldo);
      $("#txtsaldo_form").prop('value',Aux[filaI].saldo);
      $("#txtsaldo_sobregiro_form").prop('value',Aux[filaI].saldo);
      $("#Cmoneda").prop('value',Aux[filaI].moneda);
      if(Aux[filaI].moneda == 'soles'){
        $(".sp-moneda").text('S/');
      }
      if(Aux[filaI].moneda == 'dolares'){
        $(".sp-moneda").text('$');
      }
      ajax_sobregiros();
    });
    $("#btnRefrescar").click(function(){
      ajax_ctas();
    });
  
    $("#btnSoldepositar").click(function(){
      $("#fila-sobregiro").hide();
      $("#txtfecha-pago_sobregiro").prop('disabled',false);
      $("#txtplazo_sobregiro_form").prop('disabled',false);
      movimiento="deposito";
      $("#modal_realizar_movimeinto").modal('show');
      $("#formulario").prop('action','/depositar_cta_ahorro_cte_main/');
      $("#btnprocesar").prop('value',"DEPOSITAR");
      $("#btnprocesar").prop('class','btn btn-success btn-block btn-sm');
      $("#text_movi").text("Deposito");
      $("#txtmonto_movi_form").val(null);

    })
    
    {% ifequal OfCentral 'si' %}
    {% ifnotequal alterna 'si'%} 
    $("#btnRecarga").click(function(){
      $("#fila-sobregiro").hide();
      $("#txtfecha-pago_sobregiro").prop('disabled',false);
      $("#txtplazo_sobregiro_form").prop('disabled',false);
      movimiento="recarga";
      $("#modal_realizar_movimeinto").modal('show');
      $("#formulario").prop('action','/recargar_agente_cte_main/');
      $("#btnprocesar").prop('value',"RECARGAR");
      $("#btnprocesar").prop('class','btn btn-success btn-block btn-sm');
      $("#text_movi").text("Recarga");
      $("#txtmonto_movi_form").val(null);

    })
    $("#btnHabilitar").click(function(){
      $("#div-reti-depo").show();
    })
    {% endifnotequal %}
    {% endifequal %}

    $("#btnSolretirar").click(function(){
      $("#fila-sobregiro").hide();
      $("#txtfecha-pago_sobregiro").prop('disabled',false);
      $("#txtplazo_sobregiro_form").prop('disabled',false);
       movimiento="retiro";
      $("#modal_realizar_movimeinto").modal('show');
      $("#formulario").prop('action','/retirar_cta_ahorro_cte_main/');
      $("#btnprocesar").prop('value',"RETIRAR");
      $("#btnprocesar").prop('class','btn btn-warning btn-block btn-sm')
      $("#text_movi").text("Retiro");
      $("#txtmonto_movi_form").val(null);
    })
    $("#btnprocesar_sobregiro").click(function(e){
      e.preventDefault();
      $("#btnprocesar_sobregiro").prop('disabled',true);
      $("#formulario_sobregiro").submit();
    })
    $("#btnprocesar").click(function(e){
      e.preventDefault();
      $("#btnprocesar").prop('disabled',true);
      $("#formulario").submit();
    })
    $("#movimientos").click(function(){
      $("#modal_movimientos").modal('show');
      $('#listaM').html('');
      AuxM=[];
      ajax_ctas_movimientos();
    })
    function ajax_ctas(){
      $('.table-responsive').waitMe({effect : 'progressBar',text : 'Recuperando Datos'});
      $.ajax({
        url:'/listacentasAhorrosCte_activo_main_ajax/',
        type:'GET',
        dataType:'json',
        success: function(data){
          Aux = data;
          var html ="";
          var sty='';
          for(var i=0;i<data.length;i++){
            if(data[i].estado=='cerrado'){
              sty='danger';
            }
            else{
              if(data[i].estado=='depositos'){
                sty="warning";
              }
              else{
                sty='';
              }
            }
            if(data[i].agente==='si'){
              sty='info';
            }
            html += '<tr data-toggle="modal" data-target="#myModal" data-backdrop="static" data-keyboard="false" class="filaC '+ sty +'" id="'+i+'"><td>'+data[i].dni+'</td><td>'+data[i].nom+' '+data[i].ap+'</td><td>'+data[i].fa+'</td><td>'+data[i].oa+'</td><td>'+data[i].saldo+'</td><td>'+data[i].moneda+'</td><td>'+data[i].estado+'</td></tr>';

             
          }
          $('#listaC').html(html);
          $('.table-responsive').waitMe('hide');
        }
      });
    }
    //
    function ajax_ctas_movimientos(){
      $('.table-responsive').waitMe({effect : 'progressBar',text : 'Recuperando Datos'});
      $.ajax({
        data:{'pkCta':$("#txtpk").val(), 'filtro':$('#comboFiltroF').val(),'F1':$('#txtfecha1').val(),'F2':$('#txtfecha2').val()},
        url:'/lista_Movi_cuentasAhorrosCte_activos_main_ajax/',
        type:'GET',
        dataType:'json',
        success: function(data){
          AuxM= data;
          var html ="";
          for(var i=0;i<data.length;i++){
              html += '<tr><th scope="row">'+(i+1)+'</th><td>'+data[i].fecha+'</td><td>'+data[i].deposito+'</td><td>'+data[i].retiro+'</td><td>'+data[i].saldo+'</td><td>'+data[i].moneda+'</td><td>'+data[i].td+'</td><td>'+data[i].nr+'</td><td>'+data[i].concepto+'</td><td>'+data[i].obs+'</td><td>'+data[i].oficina+'</td><td>'+data[i].caja+'</td><td>'+data[i].ope+'</td><td ><button type="button" class="btn reimprimir btn-primary btn-sm" data-value="'+i+'"><span class="glyphicon glyphicon-print" aria-hidden="true"></span></button></td></tr>';
          }
          $('#listaM').html(html);
          $('.table-responsive').waitMe('hide');
          $('.reimprimir').click(function(){
            var ind=$(this).attr('data-value');
            reimprimirMovimiento(ind)
          });
        }
      });
    }
    //
    function reimprimirMovimiento(i){
      var usuario='{{user.username}}'
      //var dniRecibo='{{dniRecibo}}'
      $("#nroRe").text(AuxM[i].nr);
      $("#tdRE").text(AuxM[i].td);
      $("#dni").text(AuxM[i].dni);
      $("#recibi").text(AuxM[i].nombre);
      if(AuxM[i].moneda=="soles")
      {
        mr="S/. "
      }
      else
      {
        mr="$/. "
      }
      $("#horaRecibo").text(AuxM[i].hora_ope);
      $("#fechaRecibo").text(AuxM[i].fecha_ope);
      if (AuxM[i].td=='R/I'){
        $("#importe").text(mr+AuxM[i].deposito);
        $("#operacion").text('DEPOSITO')
      }
      else{
        $("#importe").text(mr+AuxM[i].retiro);
        $("#operacion").text('RETIRO')
      }
      $("#oficinaRecibo").text(AuxM[i].oficina);
      $("#concepto").text(AuxM[i].concepto);
      $("#operador").text(AuxM[i].ope);
      $("#saldo").text(AuxM[i].saldo);
      $("#recibi1").text("Sr(a): "+AuxM[i].nombre.substring(0,15));
      $("#platillaI").printThis();
    }

     $(document).on('show.bs.modal', '.modal', function () {
        var zIndex = 1040 + (10 * $('.modal:visible').length);
        $(this).css('z-index', zIndex);
        setTimeout(function() {
            $('.modal-backdrop').not('.modal-stack').css('z-index', zIndex - 1).addClass('modal-stack');
        }, 0);
    });
    $(document).on('hidden.bs.modal', '.modal', function () {
        $('.modal:visible').length && $(document.body).addClass('modal-open');
    });

    $("#imprimir_movimientos").click(function(){
        var d = new Date();
        var n = d.toLocaleString();

        var doc = new jsPDF('p', 'pt');
        var res = doc.autoTableHtmlToJson(document.getElementById("tablaMo"));
        doc.setFontSize(14);
        doc.text("Reporte Movimientos Cuenta Ahorro Corriente", 20, doc.autoTableEndPosY() + 30);
        doc.setFontSize(8);
        doc.text('Socio: '+$("#txtNombre").val()+' '+$("#txtAPcli").val()+' '+$("#txtAMcli").val(), 20, 60);
        doc.text('DNI/RUC: '+$("#txtDNIcli").val(), 20, 80);
        doc.text('Fecha: '+n, 20, 100);
        doc.autoTable(res.columns, res.data, {
            fontSize: 7,
            margin: {horizontal: 20},
            startY: doc.autoTableEndPosY() + 120,
            margin: {horizontal: 10},
            styles: {overflow: 'linebreak'},
            bodyStyles: {valign: 'top'},
            columnStyles: {email: {columnWidth: 'wrap'}},
            theme: 'grid',
        });
        doc.save('reporteMovimientosCtaCte.pdf');
    })
    //---
    

    $("#btnFiltrar").click(function(){
      ajax_ctas_filtro();
    })
    function ajax_ctas_filtro(){
      $('.table-responsive').waitMe({effect : 'progressBar',text : 'Recuperando Datos'});
      $.ajax({
        data:{'dni':$("#txt_filtro").val()},
        url:'/listacentasAhorrosCte_activos_filtro_cli_main_ajax/',
        type:'GET',
        dataType:'json',
        success: function(data){
          Aux = data;
          var html ="";
          var sty='';
          for(var i=0;i<data.length;i++){
            if(data[i].estado=='cerrado'){
              sty='danger';
            }
            else{
              if(data[i].estado=='depositos'){
                sty="warning";
              }
              else{
                sty='';
              }
              
            }
            if(data[i].agente==='si'){
              sty='info';
            }
              html += '<tr data-toggle="modal" data-target="#myModal" data-backdrop="static" data-keyboard="false" class="filaC '+sty+'" id="'+i+'">><td>'+data[i].dni+'</td><td>'+data[i].nom+' '+data[i].ap+'</td><td>'+data[i].fa+'</td><td>'+data[i].oa+'</td><td>'+data[i].saldo+'</td><td>'+data[i].moneda+'</td><td>'+data[i].estado+'</td></tr>';
             
          }
          $('#listaC').html(html);
          $('.table-responsive').waitMe('hide');
        }
      });
    }
    //------------------------------- configuraciones -----------------------
    $("#btnCerrarCta").click(function(){
      ajax_cerrar_cta();
    })
    function ajax_cerrar_cta(){
      $.ajax({
        data:{'id_cta':$("#txtpk").val()},
        url:'/cerrar_cta_ahorro_cte_main_ajax/',
        type:'GET',
        dataType:'json',
        success: function(data){
          if(data.exito=='exito'){
            swal("Exito",'Cta Cerrado', "success");
            $("#myModal").modal('hide');
            //ajax_ctas();
          }
          else{
            swal("Error",data.exito, "error");
            //ajax_ctas();
          }
        }
      });
    }
    //--------------
    $("#btnHabilitarCta").click(function(){
      ajax_habilitar_cta();
    })
    function ajax_habilitar_cta(){
      $.ajax({
        data:{'id_cta':$("#txtpk").val()},
        url:'/habilitar_cta_ahorro_cte_main_ajax/',
        type:'GET',
        dataType:'json',
        success: function(data){
          if(data.exito=='exito'){
            swal("Exito",'Cta Habilitado', "success");
            $("#myModal").modal('hide');
            //ajax_ctas();
          }
          else{
            swal("Error",data.exito, "error");
            //ajax_ctas();
          }
        }
      });
    }
    //--------------------
    $("#btnBloquearRetiro").click(function(){
      ajax_bloquear_retiro_cta();
    })
    function ajax_bloquear_retiro_cta(){
      $.ajax({
        data:{'id_cta':$("#txtpk").val()},
        url:'/bloquear_retiros_cta_ahorro_cte_main_ajax/',
        type:'GET',
        dataType:'json',
        success: function(data){
          if(data.exito=='exito'){
            swal("Exito",'Cta Bloqueado Retiros', "success");
            $("#myModal").modal('hide');
            //ajax_ctas();
          }
          else{
            swal("Error",data.exito, "error");
            //ajax_ctas();
          }
        }
      });
    }
    //-------------------------------
    $("#btnHabilitarRetiro").click(function(){
      ajax_habilitar_retiro_cta();
    })
    function ajax_habilitar_retiro_cta(){
      $.ajax({
        data:{'id_cta':$("#txtpk").val()},
        url:'/habilitar_retiros_cta_ahorro_cte_main_ajax/',
        type:'GET',
        dataType:'json',
        success: function(data){
          if(data.exito=='exito'){
            swal("Exito",'Cta Habilitado Retiros', "success");
            $("#myModal").modal('hide');
            //ajax_ctas();
          }
          else{
            swal("Error",data.exito, "error");
            //ajax_ctas();
          }
        }
      });
    }
    //-------------------------- end configuraciones ------------------
    //*********************** sobregiros ******************************
    $("#txtmonto_movi_form").keyup(function(){
      $("#fila-sobregiro").hide();
      $("#btnprocesar").show();
      $("#observacion").show();
      if(movimiento=="retiro"){
        if(!isNaN(parseFloat($(this).val()))){
          if(parseFloat($(this).val())>0 ){
            if(parseInt($("#txtpk").val())!=59 && parseInt($("#txtpk").val())!=64){// modificar, al habilitar sobregiros
              if(parseFloat($(this).val()) > parseFloat($("#txtsaldo_form").val())){
                var mso = parseFloat($(this).val())- parseFloat($("#txtsaldo_form").val());
                $("#txtmonto_sobregiro_form").val(mso);
                reiniciar_formulario_sobregiro();
                $("#fila-sobregiro").show();
                $("#btnprocesar").hide();
                $("#observacion").hide();
              }
            }
          }
        }
      }
    });
    //
    $('#txtfecha-pago_sobregiro').datetimepicker({
        locale: 'es',
        format: 'YYYY-MM-DD'
    });
    //var date1 = new Date("7/13/2010");
    //var date2 = new Date("12/15/2010");
    function diferencia_dias(fechaIni,fechaFin){
      var timeDiff = Math.abs(fechaIni.getTime() - fechaFin.getTime());
      return Math.ceil(timeDiff / (1000 * 3600 * 24)); 
    }
    function agregar_dias(fecha,dias){
      return new Date(fecha.getTime() + (dias * 24 *60 * 60 * 1000));
    }
    $("#txtfecha-pago_sobregiro").focusout(function(){
      $("#txtplazo_sobregiro_form").val(diferencia_dias(new Date(),new Date($(this).val())));
    });
    $("#txtplazo_sobregiro_form").keyup(function(){
      if(parseInt($(this).val())>0){
        $("#txtfecha-pago_sobregiro").val(escribir_fecha(agregar_dias(new Date(),parseInt($(this).val()))))
      }
    });
    $("#txtmonto_interes_dia_form").keyup(function(){
      if(parseFloat($(this).val())>0){
        if(noplazo=='no'){
          $("#txtmonto_interes_total_form").val(round(parseFloat($(this).val())*parseInt($("#txtplazo_sobregiro_form").val()),2))
        }
        
      }
    });
    $("#txtmonto_interes_total_form").keyup(function(){
      if(noplazo=='no'){
        $("#txtmonto_interes_dia_form").val(round(parseFloat($(this).val())/parseInt($("#txtplazo_sobregiro_form").val()),2))
      }
      
    });
    function escribir_fecha(fecha){
      var dd = fecha.getDate();
      var mm = fecha.getMonth()+1; //January is 0!
      var yyyy = fecha.getFullYear();
      if(dd<10) {
          dd = '0'+dd
      } 
      if(mm<10) {
          mm = '0'+mm
      } 
      return (yyyy + '-' +mm  + '-' +dd);
    }
    function round(value, decimals) {
      return Number(Math.round(value+'e'+decimals)+'e-'+decimals);
    }
    $("#chb_noplazo").click(function(){
      if($(this).prop("checked")){
        noplazo='si';
        $("#txtfecha-pago_sobregiro").prop('disabled',true);
        $("#txtplazo_sobregiro_form").prop('disabled',true);
      }
      else{
        noplazo='no';
        $("#txtfecha-pago_sobregiro").prop('disabled',false);
        $("#txtplazo_sobregiro_form").prop('disabled',false);
      }
    });
    //
    $("#btn-solicitar-sobregiro").click(function(e){
      e.preventDefault();
      $(this).prop('disabled',true);
      $('#fila-sobregiro').waitMe({effect : 'progressBar',text : 'Solicitando Sobregiro'});
      ajax_solicitar_sobregiro_cta();
    });
    //
    function reiniciar_formulario_sobregiro(){
      $("#chb_noplazo").prop('chequed',false);
      $("#txtplazo_sobregiro_form").val(null);
      $("#txtfecha-pago_sobregiro").val(null);
      $("#txtmonto_interes_dia_form").val(null);
      $("#txtmonto_interes_total_form").val(null);
      $("#txtobs_sobregiro").val(null);
      $("#btn-solicitar-sobregiro").prop('disabled',false);
    }
    //
     function ajax_solicitar_sobregiro_cta(){
      $.ajax({
        data:{'pk_cta':$("#txtpk").val(),'saldo':$("#txtsaldo_form").val(),'retiro':$("#txtmonto_movi_form").val(),'sobregiro':$("#txtmonto_sobregiro_form").val(),'indefinido':noplazo,'nro_dias':$("#txtplazo_sobregiro_form").val(),'fecha_pago':$("#txtfecha-pago_sobregiro").val(),'interes_dia':$("#txtmonto_interes_dia_form").val(),'interes_total':$("#txtmonto_interes_total_form").val(),'obs':$("#txtobs_sobregiro").val()},
        url:'/solicitud_sobregiro_cuenta_main_ajax/',
        type:'GET',
        dataType:'text',
        success: function(data){
          if(data=='exito'){
            swal("Exito",'Sobregiro solicitado', "success");
            $("#modal_realizar_movimeinto").modal('hide');
            $('#fila-sobregiro').waitMe('hide');
            $("#btn-solicitar-sobregiro").prop('disabled',false);
          }
          else{
            swal("Error",data, "error");
            $('#fila-sobregiro').waitMe('hide');
            $("#modal_realizar_movimeinto").modal('hide');
            $("#btn-solicitar-sobregiro").prop('disabled',false);
          }
        }
      });
    }
    // listado de solicitudes
     function ajax_sobregiros(){
      $(".lista-sobregiros").hide();
      $.ajax({
        data:{'pkCta':$("#txtpk").val()},
        url:'/lista_sobregiros_cta_main_ajax/',
        type:'GET',
        dataType:'json',
        success: function(data){
          AuxSo = data;
          var html ="";
          var stys='';
          if(data.length>0){
            $(".lista-sobregiros").show();
          }
          for(var i=0;i<data.length;i++){
            if(data[i].estado=='autorizado'){
              stys='success';
            }
            else{
              stys='';
            }
            html += '<tr data-toggle="modal" data-target="#modal_retirar_sobregiro" class="filaSo '+stys+'"id="'+i+'"><td>'+data[i].fecha_solicitud+'</td><td>'+data[i].solicitador+'</td><td>'+data[i].autorizador+'</td><td>'+data[i].fecha_auto+'</td><td>'+data[i].obs+'</td><td>'+data[i].retiro+'</td><td>'+data[i].sobregiro+'</td><td>'+data[i].estado+'</td></tr>';
          }
          $('#listaSobregiros').html(html);
        }
      });
    }
    $(document).on("click",".filaSo",function(){
      var numso = $(this).attr('id');
      filaIso = numso;
      $("#txtmonto_sobregiro_sobregiro_form").prop('value',null);
      $("#txtpk_sobregiro_sobregiro_form").prop('value',null);
      $("#txtmonto_movi_sobregiro_form").prop('value',null);
      $("#txtindefinido_sobregiro_form").prop('value',null);
      $("#txtplazo_sobregiro_sobregiro_form").prop('value',null);
      $("#txtfecha-pago_sobregiro_sobregiro_form").prop('value',null);
      $("#txtmonto_interes_dia_sobregiro_form").prop('value',null);
      $("#txtmonto_interes_total_sobregiro_form").prop('value',null);
      $("#txtobs_sobregiro_form").prop('value',null);
      //-------------------------

      $("#txtmonto_sobregiro_sobregiro_form").prop('value',AuxSo[filaIso].sobregiro);
      $("#txtpk_sobregiro_sobregiro_form").prop('value',AuxSo[filaIso].pk);
      $("#txtmonto_movi_sobregiro_form").prop('value',AuxSo[filaIso].retiro);
      $("#txtindefinido_sobregiro_form").prop('value',AuxSo[filaIso].indefinido);
      $("#txtplazo_sobregiro_sobregiro_form").prop('value',AuxSo[filaIso].dias);
      $("#txtfecha-pago_sobregiro_sobregiro_form").prop('value',AuxSo[filaIso].fecha_pago);
      $("#txtmonto_interes_dia_sobregiro_form").prop('value',AuxSo[filaIso].interes_dia);
      $("#txtmonto_interes_total_sobregiro_form").prop('value',AuxSo[filaIso].interes_total);
      $("#txtobs_sobregiro_form").prop('value',AuxSo[filaIso].obs_aut);
      if(AuxSo[filaIso].estado == 'autorizado'){
        $("#btnprocesar_sobregiro").prop('disabled',false);
      }
      else{
        $("#btnprocesar_sobregiro").prop('disabled',true);
      }
      ajax_sobregiros();
    });
    //****************************************************************
  });
</script>
{% endblock content1 %}